<?php

namespace nota\models;

use Yii;

/**
 * This is the model class for table "m_ppn".
 *
 * @property int $iId
 * @property int $iPpn
 * @property string $tCreated
 * @property string $tUpdated
 * @property int $tCreatedid
 * @property int $tUpdatedid
 */
class MPpn extends \yii\db\ActiveRecord
{
    public static function getDb() {
        return Yii::$app->get('dbnota'); 
    }
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'm_ppn';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['iId', 'iPpn'], 'required'],
            [['iId', 'iPpn', 'tCreatedid', 'tUpdatedid'], 'integer'],
            [['tCreated', 'tUpdated'], 'safe'],
            [['iId'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'iId' => 'I ID',
            'iPpn' => 'I Ppn',
            'tCreated' => 'T Created',
            'tUpdated' => 'T Updated',
            'tCreatedid' => 'T Createdid',
            'tUpdatedid' => 'T Updatedid',
        ];
    }
}